Bug 811847 - Caught "RestApi::MissingAuthorizationError in DomainsController#edit" error when changing namespace on website.
Caught "RestApi::MissingAuthorizationError in DomainsController#edit" error w...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 02:16 EDT by Yujie Zhang
Modified: 2015-05-14 21:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 14:31:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2012-04-12 02:16:34 EDT
Description of problem:

When I click "Change your namespace..." button on My Account page, it will catch "RestApi::MissingAuthorizationError in DomainsController#edit" error after I created a namespace.

Version-Release number of selected component (if applicable):

devenv-stage_166

How reproducible:always


Steps to Reproduce:
1.Go to openshift website and login
2.Create a namespace and try to change the namespace
3.
  
Actual results:

The following error came out:

RestApi::MissingAuthorizationError in DomainsController#edit

RestApi::MissingAuthorizationError

Rails.root: /var/www/stickshift/site
Application Trace | Framework Trace | Full Trace

app/models/rest_api/base.rb:405:in `connection'
app/models/rest_api/base.rb:436:in `find_single'
app/models/rest_api/base.rb:301:in `find'
app/controllers/domains_controller.rb:18:in `edit'

Expected results:

The name space should be changed successfully.

Additional info:

This issue also exist on devenv_1715.
Comment 1 Clayton Coleman 2012-04-12 10:07:55 EDT
A result of my changes, testing now.
Comment 2 Xiaoli Tian 2012-04-12 21:48:05 EDT
Test it on stage 2.0.9, it works now.

Note You need to log in before you can comment on or make changes to this bug.